Results 1 to 4 of 4

Thread: Corrupted tarfile.

  1. #1
    Junior Member
    Join Date
    Sep 2017
    Posts
    22

    Corrupted tarfile.

    I get this same error every time I build Kali for the Pi.

    I followed the docs and the more in depth Kail book, but it's a package that is downloaded and corrupted so how can I address this problem?


    Unpacking gnome-theme-kali (2016.3.2) ...
    dpkg: error processing archive /tmp/apt-dpkg-install-7WX0Eq/140-gnome-theme-kali_2016.3.2_all.deb (--unpack):
    corrupted filesystem tarfile - corrupted package archive

  2. #2
    Senior Member
    Join Date
    Dec 2016
    Posts
    127
    Do you have enough disk space? If yes, then I'd say delete the build directory and start again

  3. #3
    Junior Member
    Join Date
    Sep 2017
    Posts
    22
    Yes, the build directory is downloaded then created on a virtual drive each time you run the build script.

    The name of the file has no hits on Google or Github 140-gnome-theme-kali_2016.3.2_all.deb

    I know it's a theme for gnome but where it comes from it still a mystery, I don't want any X on my Pi anyway, so I removed the X-windows stuff and managed to create an image without any errors, but that one theme screws up the entire build, leaving you with an unbootable image.

  4. #4
    Senior Member
    Join Date
    Dec 2016
    Posts
    127
    Open a bug and give details such as the config and stuff you've changed before building, package list as well as the errors/outputs.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •